<div class="{{$ctrl.type}}" ng-class="{'form-float': $ctrl.floating}">
    <span class="input-group-addon" ng-if="$ctrl.icon">
        <i class="material-icons">{{$ctrl.icon}}</i>
    </span>
    <div ng-transclude class="form-line"></div>
</div>